% Ellipsoid_Man_Matt_Walsh
% March_23_2006
 
close all
clear all
clc
 
figure(1)
%thorax
[x y z]=ellipsoid(2,3,7.3,1,1,3);
surf(x,y,z);
 
%head
hold on
[x y z]=ellipsoid(2,3,10.7,1,1,1);
surf(x,y,z);
 
%shoulder mass
[x y z]=ellipsoid(2,3,9,1,2,.8);
surf(x,y,z);
 
%right arm
[x y z]=ellipsoid(3.2,1.4,9.2,1.8,.5,.5);
surf(x,y,z);
 
%right forearm
[x y z]=ellipsoid(5.9,1.4,9.2,1.3,.4,.4);
surf(x,y,z);
 
%left forearm
[x y z]=ellipsoid(3.5,4.5,7.1,1.3,.4,.4);
surf(x,y,z);
 
%left arm
[x y z]=ellipsoid(2,4.5,8.1,.5,.5,1.3);
surf(x,y,z);
 
%right thigh
[x y z]=ellipsoid(3.33,4,5.1,1.9,.6,.6);
surf(x,y,z);
 
%left thigh
[x y z]=ellipsoid(3.33,2,4.7,1.9,.6,.6);
surf(x,y,z);
 
%bubble butt
[x y z]=ellipsoid(2,3,4.7,.8,1.5,.5);
surf(x,y,z);
 
%right calf
[x y z]=ellipsoid(4.7,2,3,.5,.5,1.4);
surf(x,y,z);
 
%left calf
[x y z]=ellipsoid(5,2.5,5.2,.5,1.6,.5);
surf(x,y,z);
 
%left foot
[x y z]=ellipsoid(5.4,1,5.2,1,.2,.505);
surf(x,y,z)
 
%right foot
[x y z]=ellipsoid(5.2,2,1.8,1,.505,.2);
surf(x,y,z);
 
grid on
axis on
zlim =[0 20];
shading interp;
light;
axis equal
set (gca,'view',[107,30], 'AmbientLightColor', [1 0 0] );
